## owfs 3.2p4+dfsg1

=== debian/changelog ===
owfs (3.2p4+dfsg1-7) unstable; urgency=medium

  * Acknowledge NMUs (thanks Bastian)
  * Fix "Memory leak in owhttpd": cherry-pick proposed commit in upstream
    PR#102 (Closes: #1122086)

 -- Vincent Danjean <vdanjean@debian.org>  Tue, 09 Dec 2025 15:00:53 +0100

owfs (3.2p4+dfsg1-6.2) unstable; urgency=medium

  * Non-maintainer upload
  * Fix versioned Depends

 -- Bastian Germann <bage@debian.org>  Fri, 28 Nov 2025 12:43:21 +0100

owfs (3.2p4+dfsg1-6.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop owfs-fuse package (Closes: #1084424)

  [ Vincent Danjean ]
  * Do not try to change old installs
  * Move adduser invocation in postinst (Closes: #1109097)

 -- Bastian Germann <bage@debian.org>  Fri, 21 Nov 2025 14:08:39 +0100

owfs (3.2p4+dfsg1-6) unstable; urgency=medium

  * Acknowledge NMUs
  * bump debian version (-6) as the git repo has
    been tagged with -5 instead of -4.6
  * [debian/copyright] fix fsf address in copyright
  * [debian/lib*3.2-4t64] remove unused lintian overrides
  * [debian/ow-tools] add lintian override for wrong positive
  * [debian/control] bump Standards-Version (no change needed)
  * [debian/patches/*] add "Origin" or "Author" fields

 -- Vincent Danjean <vdanjean@debian.org>  Sun, 04 May 2025 18:32:53 +0200

owfs (3.2p4+dfsg1-4.6) unstable; urgency=medium

  * Non-maintainer upload
  * Move adduser to Pre-Depends for preinst (Closes: #1094165)
  * Add Build-Depends: perl-xs-dev (Closes: #1102828)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 11:46:40 +0200

owfs (3.2p4+dfsg1-4.5) unstable; urgency=medium

  * Non-maintainer upload
  * Drop B-D: quilt

 -- Bastian Germann <bage@debian.org>  Tue, 21 May 2024 08:18:43 +0200

owfs (3.2p4+dfsg1-4.4) unstable; urgency=medium

  * Non-maintainer upload
  * Switch Build-Depends to systemd-dev (Closes: #1060503)
  * Rename libow-php7t64 to libow-php (Closes: #1003472)
  * lintian fixes

  [ Samuel Thibault ]
  * d/control: Generalize hurd-i386 into hurd-any

 -- Bastian Germann <bage@debian.org>  Wed, 15 May 2024 18:11:46 +0200

owfs (3.2p4+dfsg1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063182

 -- Benjamin Drung <bdrung@debian.org>  Fri, 01 Mar 2024 12:41:12 +0000

owfs (3.2p4+dfsg1-4.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix FTBFS when systemd.pc changes systemdsystemunitdir (Closes: #1052701)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 18:27:35 +0100

owfs (3.2p4+dfsg1-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * Correct PHP bindings description
  * d/watch: Scan GitHub tags

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libow-dev, libow-perl, libownet-dev: Add Multi-Arch: same.
    + libownet-perl, ow-tools, owfs-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 31 Oct 2022 22:48:27 +0100

owfs (3.2p4+dfsg1-4) unstable; urgency=medium

  * Re-upload source-only now that NEW queue is passed

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 30 Oct 2020 15:24:55 +0100

owfs (3.2p4+dfsg1-3) unstable; urgency=medium

  * Also disable again python3-ownet that also have python2 code

 -- Vincent Danjean <vdanjean@debian.org>  Sat, 10 Oct 2020 14:17:33 +0200

owfs (3.2p4+dfsg1-2) unstable; urgency=medium

  * Disabling python3-ow package (code still contains
    python2 code)

 -- Vincent Danjean <vdanjean@debian.org>  Fri, 09 Oct 2020 23:20:46 +0200

owfs (3.2p4+dfsg1-1) unstable; urgency=medium

  * New upstream release and re-add python3 (Closes: #971278)
  * Add --foreground option for systemd owserver service (Closes: #971513)

 -- Vincent Danjean <vdanjean@debian.org>  Mon, 05 Oct 2020 23:18:30 +0200

owfs (3.2p3+dfsg1-6) unstable; urgency=medium

  * Fix "ftbfs with GCC-10" (Closes: #957654)
    a global variable was not correctly declared
  * Fix lintian reported glitches

 -- Vincent Danjean <vdanjean@debian.org>  Thu, 23 Jul 2020 09:55:36 +0200
