=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
 Vcs-Browser: https://salsa.debian.org/debian/owfs
 Vcs-Git: https://salsa.debian.org/debian/owfs.git
 Homepage: http://owfs.org/
-Rules-Requires-Root: no
 
 Package: owfs-common
 Architecture: all
@@ -143,7 +142,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p4+dfsg1-6.2~),
+         owfs-common (>= 3.2p4+dfsg1-7~),
 Suggests: avahi-daemon
 Description: Backend server for 1-Wire control
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -196,7 +195,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p4+dfsg1-6.2~),
+         owfs-common (>= 3.2p4+dfsg1-7~),
 Recommends: owserver
 Description: HTTP daemon providing access to 1-Wire networks
  The 1-Wire bus is a cheap low-speed bus for devices like weather
@@ -210,7 +209,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         owfs-common (>= 3.2p4+dfsg1-6.2~),
+         owfs-common (>= 3.2p4+dfsg1-7~),
 Recommends: owserver
 Description: FTP daemon providing access to 1-Wire networks
  The 1-Wire bus is a cheap low-speed bus for devices like weather
