=== debian/watch ===
version: 5

Template: GitHub
Owner: owfs
Project: owfs
# TODO: switch to +dfsg for next upstream version
Repacksuffix: +dfsg1
Dversion-Mangle: auto
