## owfs makefiles

=== Makefile ===


.EXPORT_ALL_VARIABLES:

DIRS = module

# should always be set.
CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -D_REENTRANT
CFLAGS += -DFUSE_USE_VERSION=22

CFLAGS += -D_GNU_SOURCE
CFLAGS += -Wall -O2

# increase stack size
FLTFLAGS = -s 128000

CFLAGS += -DHAVE_SEMAPHORE_H

LIBPTHREAD=-lpthread
ENABLE_MT=1
ENABLE_CACHE=1
#ENABLE_USB=1
USE_NO_PARPORT=1

#LIBFUSE_SHARED=1
#LIBFUSE_ID=2
#LIBOW_SHARED=1
#LIBOW_ID=3

all romfs install:
	for i in $(DIRS) ; do make -C $$i $@ || exit $?; done

clean:
	for i in $(DIRS) ; do make -C $$i clean ; done
