=== module/Makefile ===


.EXPORT_ALL_VARIABLES:

DIRS = owlib owfs owserver owhttpd
# owhttpd
# owftpd

all romfs install:
	for i in $(DIRS) ; do make -C $$i $@ || exit $?; done

clean:
	for i in $(DIRS) ; do make -C $$i clean ; done
