=== module/owlib/Makefile ===


.EXPORT_ALL_VARIABLES:

DIRS = src

all romfs install:
	for i in $(DIRS) ; do make -C $$i $@ || exit $?; done

clean:
	for i in $(DIRS) ; do make -C $$i clean ; done
