=== module/owhttpd/src/c/Makefile ===

.EXPORT_ALL_VARIABLES:

EXECS = owhttpd owhttpd.static
OBJS = owhttpd.o owhttpd_handler.o

ifndef OWFS_DIR
OWFS_DIR := ../../../..
endif
ifndef USB_DIR
USB_DIR := ../../../../../libusb
endif

all: $(EXECS)

CFLAGS += -I${OWFS_DIR}/module/owlib/src/include -I../include -I${OWFS_DIR}/src/include

ifdef ENABLE_CACHE
CFLAGS += -DOW_CACHE
endif
ifdef ENABLE_MT
CFLAGS += -DOW_MT
endif
ifdef ENABLE_USB
CFLAGS += -DOW_USB
CFLAGS += -I${USB_DIR}
USBLIBS = ${USB_DIR}/libusb.a
endif


OWLIBS = ${OWFS_DIR}/module/owlib/src/c/libow.a
EXTRALIBS =

LDFLAGS  += -mshared-library-id=0

ifdef LIBOW_SHARED
LDFLAGS  += -mshared-library-id=$(LIBOW_ID)
LDLIBS   += -L${OWFS_DIR}/module/owlib/src/c/ -Wl,-R,${OWFS_DIR}/module/owlib/src/c/libow.gdb -low
else
EXTRALIBS += $(OWLIBS)
endif

EXTRALIBS += $(USBLIBS)

$(OWLIBS):
	cd ${OWFS_DIR}/module/owlib ; make

owhttpd: $(OBJS) $(OWLIBS) $(USBLIBS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(EXTRALIBS) $(LDLIBS) $(LIBPTHREAD)

owhttpd.static: $(OBJS) $(OWLIBS) $(USBLIBS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(EXTRALIBS) $(LDLIBS) $(LIBPTHREAD) -static

romfs:
	$(ROMFSINST) /usr/bin/owhttpd

install:
	install -d $(INSTALLDIR)/usr/bin
	install owhttpd $(INSTALLDIR)/usr/bin/owhttpd
	install owhttpd.static $(INSTALLDIR)/usr/bin/owhttpd.static

clean:
	rm -f $(EXECS) *.gdb *.elf *.o *.s *.i
